scala.util.parsing.json
class Parser

[source: `scala/util/parsing/json/Parser.scala`]

`` `class` Parser
  `extends` StdTokenParsers `with` ImplicitConversions

Author
  Derek Chen-Becker <"java"+@+"chen-becker"+"."+"org">

Direct Known Subclasses:
  JSON

Type Summary
`type` | Tokens Tokens is the abstract type of the `Token's consumed by the parsers in this component

Value Summary
`val` | lexical : Lexer lexical is the component responsible for consuming some basic kind of input (usually character-based) and turning it into the tokens understood by these parsers.

Method Summary
`def` | jsonArray : Parser[List[Any]]
`def` | jsonObj : Parser[List[(String, Any)]]
`def` | number : Parser[Double]
`def` | objEntry : Parser[(String, Any)]
`def` | root : Parser[List[Any]]
`def` | stringVal : Parser[String]
`def` | value : Parser[Any]

Methods inherited from ImplicitConversions
flatten2, flatten3, flatten4, flatten5, headOptionTailToFunList

Methods inherited from StdTokenParsers
keyword, numericLit, stringLit, ident

Methods inherited from TokenParsers
phrase

Methods inherited from Parsers
commit, commit, not, elem, elem, accept, accept, accept, failure, fail, success, success, discard, log, log, rep, rep, repsep, rep1, rep1, repN, rep1, repN, rep1sep, rep1sep, chainl1, chainl1, chainr1, opt, opt, positioned, positioned

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Type Details

`` `type` Tokens

  Tokens is the abstract type of the `Token's consumed by the parsers in this component

Value Details

`` `val` lexical : Lexer

  lexical is the component responsible for consuming some basic kind of input (usually character-based) and turning it into the tokens understood by these parsers.

Method Details

`` `def` root : Parser[List[Any]]

`` `def` jsonObj : Parser[List[(String, Any)]]

`` `def` jsonArray : Parser[List[Any]]

`` `def` objEntry : Parser[(String, Any)]

`` `def` value : Parser[Any]

`` `def` stringVal : Parser[String]

`` `def` number : Parser[Double]